<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
	
<xsl:template match="/">
	<xsl:apply-templates select="project"/>
</xsl:template>

<xsl:template match="project">
	<xsl:apply-templates select="name"/>
	<xsl:apply-templates select="one-liner"/>
</xsl:template>

<xsl:template match="name">
	<h2>
	<a href="{text()}/index.html">
	<xsl:apply-templates/>
	</a>
	</h2>
</xsl:template>

<xsl:template match="one-liner">
	<p>
	<xsl:apply-templates/>
	</p>
</xsl:template>

<xsl:template match="ulink">
	<a href="{@url}">
	<xsl:apply-templates/>
	</a>
</xsl:template>

</xsl:stylesheet>
